java.net

## Interface DatagramSocketImplFactory

-     public interface DatagramSocketImplFactory

  This interface defines a factory for datagram socket implementations. It is used by the classes `DatagramSocket` to create actual socket implementations.
  Since:
    1.3
  See Also:
    `DatagramSocket`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DatagramSocketImpl` | `createDatagramSocketImpl()` Creates a new `DatagramSocketImpl` instance.

- - ### Method Detail

    - #### createDatagramSocketImpl

          DatagramSocketImpl createDatagramSocketImpl()

      Creates a new `DatagramSocketImpl` instance.
      Returns:
        a new instance of `DatagramSocketImpl`.
      See Also:
        `DatagramSocketImpl`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.